Package: io.vertx.groovy.ext.auth.jwt

## [Groovy] Class JWTAuth

- io.vertx.groovy.ext.auth.jwt.JWTAuth

- Factory interface for creating JWT based AuthProvider instances.

- - ### Constructor Summary

    Constructors
    Constructor and description
    `JWTAuth (java.lang.Object delegate)`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `static JWTAuth` | `create(Vertx vertx, java.util.Map<java.lang.String, java.lang.Object> config)` Create a JWT auth provider
    `java.lang.String` | `generateToken(java.util.Map<java.lang.String, java.lang.Object> claims, java.util.Map<java.lang.String, java.lang.Object> options)` Generate a new JWT token.
    `java.lang.Object` | `getDelegate()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class AuthProvider` | `authenticate, getDelegate`
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Constructor Detail

    - #### JWTAuth(java.lang.Object delegate)

  - ### Method Detail

    - #### static JWTAuth create(Vertx vertx, java.util.Map<java.lang.String, java.lang.Object> config)

      Create a JWT auth provider

      Returns:
        the auth provider
      Parameters:
        `vertx` - the Vertx instance
        `config` - the config

    - #### java.lang.String generateToken(java.util.Map<java.lang.String, java.lang.Object> claims, java.util.Map<java.lang.String, java.lang.Object> options)

      Generate a new JWT token.

      Returns:
        JWT encoded token
      Parameters:
        `claims` - Json with user defined claims for a list of official claims
        `options` - extra options for the generation (see JWTOptions)

    - #### java.lang.Object getDelegate()